Google Play API
Google Play Storeから構造化データを取得します。engine=google_playを設定し、単一のリスティングを取得するにはproduct_idを指定してtype=productを使用するか、ストアを検索するにはqクエリを指定してtype=searchを使用します。
エンドポイント
Section titled “エンドポイント” GET https://serp.shifter.io/v1?engine=google_play&api_key=YOUR_API_KEY
| パラメータ | 型 | 必須 | 説明 |
|---|---|---|---|
api_key | string | yes | SERP APIキー |
engine | string | yes | google_playである必要があります |
type | string | yes | searchまたはproduct |
store | string | yes | appsまたはbooks |
product_id | string | conditional | type=productの場合に必須。Play StoreのパッケージIDまたは書籍ID |
q | string | conditional | type=searchの場合に必須。検索クエリ |
hl | string | no | インターフェース言語コード |
gl | string | no | 国コード |
リクエスト例
Section titled “リクエスト例”curl "https://serp.shifter.io/v1?engine=google_play&api_key=YOUR_API_KEY&type=product&store=apps&product_id=com.kiloo.subwaysurf"import requests
params = { "engine": "google_play", "api_key": "YOUR_API_KEY", "type": "product", "store": "apps", "product_id": "com.kiloo.subwaysurf",}r = requests.get("https://serp.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://serp.shifter.io/v1?' + new URLSearchParams({ engine: 'google_play', api_key: 'YOUR_API_KEY', type: 'product', store: 'apps', product_id: 'com.kiloo.subwaysurf',});const data = await (await fetch(url)).json();レスポンス例
Section titled “レスポンス例”{ "search_parameters": { "engine": "google_play", "type": "product", "store": "apps", "product_id": "com.kiloo.subwaysurf" }, "product_info": { "title": "Subway Surfers", "developer": "SYBO Games", "rating": 4.5, "reviews": 41230000, "downloads": "1B+", "description": "DASH as fast as you can! ..." }, "media": { "icon": "https://play-lh.googleusercontent.com/..." }}